library verilog;
use verilog.vl_types.all;
entity se2 is
    port(
        q               : in     vl_logic_vector(3 downto 0);
        d               : out    vl_logic_vector(7 downto 0)
    );
end se2;
